import { LambdaClient } from "@aws-sdk/client-lambda";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { LambdaClientInstanceConfig } from "./LambdaClientInstanceConfig";
/**
 * @since 1.0.0
 * @category tags
 */
export interface LambdaClientInstance {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const LambdaClientInstance: Context.Tag<LambdaClientInstance, LambdaClient>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeLambdaClientInstance: Effect.Effect<LambdaClientInstanceConfig, never, LambdaClient>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const LambdaClientInstanceLayer: Layer.Layer<LambdaClientInstanceConfig, never, LambdaClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultLambdaClientInstanceLayer: Layer.Layer<never, never, LambdaClientInstance>;
