import type { LambdaClientConfig } from "@aws-sdk/client-lambda";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
/**
 * @since 1.0.0
 * @category tags
 */
export interface LambdaClientInstanceConfig {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const LambdaClientInstanceConfig: Context.Tag<LambdaClientInstanceConfig, LambdaClientConfig>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultLambdaClientInstanceConfig: Effect.Effect<never, never, LambdaClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultLambdaClientConfigLayer: Layer.Layer<never, never, LambdaClientInstanceConfig>;
